#pragma once
#include  <afxcview.h>
#include "UIObject.h"
#include "IdentifyDoc.h"


//
class IdentifyView : public CTreeView
{
protected:
	DECLARE_DYNCREATE(IdentifyView)
	DECLARE_MESSAGE_MAP()

	CImageList	o_ImageList;
	HTREEITEM	h_SelectedItem;

	IdentifyView();

	int ClassNameToImageIndex (String& _rName);
	int UIObjectToImageIndex (UIObject* _pUIObject);
	void InsertMenuInformation (CTreeCtrl& _rTreeCtrl, UIObject* _pUIObject, HTREEITEM _hItem);
	void InsertWindowInformation (CTreeCtrl& _rTreeCtrl, UIObject* _pUIObject, HTREEITEM _hItem);

	virtual void OnInitialUpdate (void);

public:
	virtual ~IdentifyView();
	IdentifyDoc* GetDocument() const;

	afx_msg void OnNMRClick(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnInteractWithWindow();



#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};




#ifndef _DEBUG
inline IdentifyDoc* IdentifyView::GetDocument() const
{ return reinterpret_cast<IdentifyDoc*>(m_pDocument); }
#endif

