#include "stdafx.h"
#include "InteractDlg.h"
#include "Action.h"


IMPLEMENT_DYNAMIC(InteractDlg, CDialog)
BEGIN_MESSAGE_MAP(InteractDlg, CDialog)
END_MESSAGE_MAP()


//
InteractDlg::InteractDlg(CWnd* pParent /*=NULL*/)
	: CDialog(InteractDlg::IDD, pParent)
	, s_WindowName(_T(""))
	, s_ClassName(_T(""))
	, s_Action(_T(""))
	, s_Text(_T(""))
{
}

InteractDlg::~InteractDlg()
{
}

void InteractDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_WINDOW_NAME, s_WindowName);
	DDX_Text(pDX, IDC_CLASS_NAME, s_ClassName);
	DDX_CBString(pDX, IDC_ACTION, s_Action);
	DDX_Text(pDX, IDC_TEXT, s_Text);
}


//
BOOL InteractDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	CComboBox* pList = (CComboBox*) CDialog::GetDlgItem (IDC_ACTION);
	pList->ResetContent ();

	NameToAction_map_t::iterator	ite;
	for (ite = Action::map_NameToAction.begin ();
		ite != Action::map_NameToAction.end ();
		++ ite)
	{
		pList->AddString ((const char*)ite->first);
	}

	return TRUE;
}

