#pragma once
#include  <afxcview.h>
#include "UIObject.h"
#include "IdentifyDoc.h"
#include "IdentifyView.h"


//
class RequestView : public IdentifyView
{
protected:
	DECLARE_DYNCREATE(RequestView)
	DECLARE_MESSAGE_MAP()

	CBitmap	bmp_AdditionalImages;
	int		i_RequestImageOffset;

	RequestView();

	void PopulateRequests (void);
	void InsertUIObjectToTree (CTreeCtrl& _rTreeCtrl, UIObject* _pUIObject, HTREEITEM _hParent = TVI_ROOT);

	virtual void OnUpdate (CView* /*pSender*/, LPARAM /*lHint*/, CObject* /*pHint*/);
	virtual void OnInitialUpdate (void);

public:
	virtual ~RequestView();
	IdentifyDoc* GetDocument() const;


#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};




#ifndef _DEBUG
inline IdentifyDoc* RequestView::GetDocument() const
{ return reinterpret_cast<IdentifyDoc*>(m_pDocument); }
#endif

