#include "stdafx.h"
#include "Identify.h"
#include "MainFrm.h"
#include "WindowListView.h"
#include "WindowDiffView.h"
#include "RequestView.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


IMPLEMENT_DYNCREATE(MainFrame, CFrameWnd)
BEGIN_MESSAGE_MAP(MainFrame, CFrameWnd)
	ON_WM_SIZE()
END_MESSAGE_MAP()



//
MainFrame::MainFrame()
{
	b_SplitterCreated = false;
}

MainFrame::~MainFrame()
{
}


//
BOOL MainFrame::OnCreateClient(LPCREATESTRUCT /*lpcs*/, CCreateContext* pContext)
{
	if (FALSE == wnd_Splitter.CreateStatic (this, 1, 3))
		return FALSE;

	wnd_Splitter.CreateView (0, 0, RUNTIME_CLASS (WindowListView), CSize(0, 0), pContext);
	wnd_Splitter.CreateView (0, 1, RUNTIME_CLASS (WindowDiffView), CSize(0, 0), pContext);
	wnd_Splitter.CreateView (0, 2, RUNTIME_CLASS (RequestView), CSize(0, 0), pContext);

	b_SplitterCreated = true;

	return TRUE;
}


//
void MainFrame::OnSize(UINT nType, int cx, int cy)
{
	CFrameWnd::OnSize(nType, cx, cy);
	if (false == b_SplitterCreated)
		return;
	wnd_Splitter.SetColumnInfo (0, cx/3, 10);
	wnd_Splitter.SetColumnInfo (1, cx/3, 10);
	wnd_Splitter.SetColumnInfo (2, cx/3, 10);
	wnd_Splitter.RecalcLayout ();
}





//
#ifdef _DEBUG
void MainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void MainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}
#endif



